import { Updux } from './Updux';

test('initial', () => {
    const foo = new Updux({
        initial: { root: 'abc' },
        subduxes: {
            bar: new Updux({ initial: 123 }),
        },
    });

    expect(foo.initial).toMatchObject({ root: 'abc', bar: 123 });
});
